[config]
# If set to enabled, it will check for updates when you run the matugen command, notifying you that an update is avaiable.
# WARNING: Matugen needs to be compiled with the `update-informer` feature for this to work.

# The color which should be used as the source_color if no good color was found from an image.
# Can be defined in any css format.
# The cli flag will override this if used.
#fallback_color = "#ffbf9b"

# Which color to choose if multiple good colors were found from an image.
# choices: [darkness, lightness, saturation, less-saturation, value, closest-to-fallback]
# The cli flag will override this if used.
#prefer = "closest-to-fallback"

# Enables caching which will cache the colorscheme, custom colors, etc. into a cache folder located in
# Windows: C:\Users\user\AppData\Roaming\InioX\matugen\cache\images\<file>
# Linux: $XDG_CACHE_HOME/matugen/<file> or $HOME/.cache/matugen/images/<file>
# MacOS: $HOME/Library/Caches/matugen/images/<file>
# The file follows this naming: <image_name>.<image_extension>.<image_hash>.json
# For example: testimage.png.0cfd2d624b3d09bf6246b7be9ca79e207e7aa1189d961d44949628b99811bb9d.json
# You can modify the cache and it will then be loaded when using the same image.
# The colors are defined using the #RRGGBBAA format.
caching = false

# Changing the syntax
# Expr is for keywords like {{ <keyword> }}
#expr_prefix = "{{"
#expr_postfix = "}}"

# Block is for stuff like for loops etc.
#block_prefix = "<*"
#block_postfix = "*>"

# Imports json files just like `--import-json` does.
# Relative paths will be resolved from the path `config.toml` is in.
#import_json_files = ["./custom3.json"]

# Defaults to the contrast from CLI if unspecified.
# Value from -1 to 1. 
# -1 represents minimum contrast, 0 represents standard (i.e. the design as spec'd),
# and 1 represents maximum contrast.
contrast = 0

[config.wallpaper]
# Whether to set the wallpaper or not
set = true

# The base command to run for applying the wallpaper.
# Keywords like {{ image }} or anything that works inside of hooks works here.
# You could also set a static color if you use the color keywords and the wallpaper setter supports it.
command = "swaybg -i{{ image }}"

# For example, killing the wallpaper daemon. Usage is like a normal hook.
# pre_hook = ""
#[templates]
[templates.foot]
input_path = '~/.config/foot/themes/input-matugen-theme.ini'
output_path = "~/.config/foot/themes/matugen-theme.ini"
post_hook = "killall -USR1 foot" # export the sequences to every running terminal
